#!/bin/bash
#
# mount-manager:bin/api/diskimage-config-json-api.sh
#

#
# API: get_diskimage_mountdir
#
function get_diskimage_mountdir {
  local -r diskimage_id="$1"

  get_mountdir "${diskimage_id}"
}

#
# API: get_diskimage_imagefile
#
function get_diskimage_imagefile {
  local -r mount_folder="$1"

  jq -r ".mount.diskimage // [] | .[] | select(.id==\"${mount_folder}\").img" "$( json_get_config_file )"
}

#
# API: get_all_diskimage_ids (was: get_diskimage_mount_ids)
#
function get_all_diskimage_ids {
  get_type_ids 'diskimage'
}

#
# API: get_diskimage_id_from_mountname
#
function get_diskimage_id_from_mountname {
  echo "$1"
}

#
# API: get_all_diskimage_mountdir
#
function get_all_diskimage_mountdir {
  local mount_id=

  for mount_id in $( get_all_diskimage_ids ); do
    get_diskimage_mountdir "${mount_id}"
  done
}
