#!/bin/bash
#
# mount-manager:bin/api/iscsi-config-json-api.sh
#

#
# API: get_all_iscsi_ids
#
function get_all_iscsi_ids {
  get_type_ids 'iscsi'
}

#
# API: get_all_iscsi_mountdir (was: get_all_iscsi_mount_dirs)
#
function get_all_iscsi_mountdir {
  while read -r id; do
    get_iscsi_mountdir "${id}"
  done < <( get_all_iscsi_ids )
}

function get_iscsi_param_by_mountname {
  local -r iscsi_id="$1"
  local -r param_name="$2"

  jq -r ".mount.iscsi[] | select(.mount==\"${iscsi_id}\").${param_name}" "$( json_get_config_file )"
}

#
# API: get_iscsi_iqn_by_mountname
#
function get_iscsi_iqn_by_mountname {
  local -r iscsi_id="$1"

  get_iscsi_param_by_mountname "${iscsi_id}" 'iqn'
}

#
# API: get_iscsi_portal_by_mountname
#
function get_iscsi_portal_by_mountname {
  local -r iscsi_id="$1"

  get_iscsi_param_by_mountname "${iscsi_id}" 'portal'
}


#
# API: get_iscsi_path_by_mountname
#
function get_iscsi_path_by_mountname {
  local -r iscsi_id="$1"

  get_iscsi_param_by_mountname "${iscsi_id}" 'path'
}
