#!/bin/bash
#
# mount-manager:bin/api/samba-config-json-api.sh
#

#
# API: get_all_samba_mountdir
#
function get_all_samba_mountdir {
  local samba_id=
  local share=

  for samba_id in $( get_all_samba_ids ); do
    while read -r share; do
      # print mount_dir
      get_samba_mountdir "${samba_id}" "${share}"
    done < <( get_samba_shares "${samba_id}" )
  done
}

#
# API: get_all_samba_ids (was: get_samba_ids)
#
function get_all_samba_ids {
  get_type_ids 'samba'
}

#
# API: get_samba_shares samba_id
#
function get_samba_shares {
  local -r samba_id="$1"

  get_type_value 'samba' "${samba_id}" 'shares[]'
}

#
# API: get_samba_ip samba_id
#
function get_samba_ip {
  local -r samba_id="$1"

  get_type_value 'samba' "${samba_id}" 'ip'
}

#
# API: get_samba_optional_options samba_id
#
function get_samba_optional_options {
  local -r samba_id="$1"

  get_type_value 'samba' "${samba_id}" 'options'
}

