#!/bin/bash -e
# shellcheck disable=SC2034
#
# mount-manager:bin/install-config.sh
#

#
# Accoring to: http://www.pathname.com/fhs/pub/fhs-2.3.html
#
# Put everything into: /usr/local/share/mount-manager
# Ensure *.sh are executables and readonly
# Add links into: /usr/bin
#
declare -r INSTALL_DATA_DIR='/usr/local/share/mount-manager'
declare -r INSTALL_BIN_DIR='/usr/bin'

declare -r REMOVE_OLD="${INSTALL_DATA_DIR}/mount-manager-remove"
declare -r REMOVE_EXE="${INSTALL_DATA_DIR}/mount-manager-remove.sh"

declare -r INSTALL_LINKS='
mount-manager
mount-manager-config
mount-manager-encrypt
'

declare -r INSTALL_EXE='
bin/mount-manager-config.sh
bin/mount-manager-encrypt.sh
bin/mount-manager-iscsi.sh
bin/mount-manager.sh
mount-manager-install.sh
mount-manager-remove.sh
'

declare -ra INSTALL_PACKAGES=( gpgv2 jq nfs-common open-iscsi )
